summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2021-11-04 13:25:25 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2021-11-04 14:21:32 +0100
commitbec35c4eb0a46a7556febc4424be49affcc306f8 (patch)
tree2cb69a6bdb72ed20708f71e7112108bb7eb035c1
parentkde-apps/kcachegrind: 21.08.3 version bump (diff)
downloadgentoo-bec35c4eb0a46a7556febc4424be49affcc306f8.tar.gz
gentoo-bec35c4eb0a46a7556febc4424be49affcc306f8.tar.bz2
gentoo-bec35c4eb0a46a7556febc4424be49affcc306f8.zip
kde-apps/kde-dev-scripts: 21.08.3 version bump
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
-rw-r--r--kde-apps/kde-dev-scripts/Manifest1
-rw-r--r--kde-apps/kde-dev-scripts/kde-dev-scripts-21.08.3.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/kde-apps/kde-dev-scripts/Manifest b/kde-apps/kde-dev-scripts/Manifest
index fb1f5d77413..5a5dd68fe64 100644
--- a/kde-apps/kde-dev-scripts/Manifest
+++ b/kde-apps/kde-dev-scripts/Manifest
@@ -1,2 +1,3 @@
DIST kde-dev-scripts-21.04.3.tar.xz 366364 BLAKE2B 27726f6fbc727d2f42fa5ad7f3c6bc7eebcdc0db825c7a0723b00082eb3d6a153f1d894393268a90392d8edc6afd80e86cd8e802480a5828b95ca53528a4a704 SHA512 dd35c0b79b7ab6f4dff36b91281a3e4dcd4b5d27d1de5b33d3c4db995dbc909a6d70897f2460659efab74097b95e3ebb1c2c0f08ece07a6fdc5bdba87fdef93f
DIST kde-dev-scripts-21.08.2.tar.xz 366304 BLAKE2B 833d57cb552a3181f733b8ab1e314097d2431337b60a1b402683f3f99008be2bf2a0e5b8640f07053bc235a72c7aa65916631285ca11dcfbcd97f0e8cc672ec0 SHA512 4a9fd4dfc3254849257a00355c042d5b5c61a177b20027448d613a8bc51c34ea84a4c2d1aeba0aa628bebd134583486c90994e85c9b794534243fffe30dff932
+DIST kde-dev-scripts-21.08.3.tar.xz 366220 BLAKE2B 601cde525650a0d06cef323cd6b1a3b8c8ee891757a0c87bd404cfe52a5ef283db679c6bb37fbc1ec1d1a533eff1968e522abe7b31e470aaf9dbaf31ea610a9d SHA512 d799599cda4bad1e4c5cc095cbf3b5cb9fb2602e1f48578f8cb68dc110d1ff4b900a8b4c8e878b0bb629f001af6fe80d7b852dc4528af473793a6926c3821020
diff --git a/kde-apps/kde-dev-scripts/kde-dev-scripts-21.08.3.ebuild b/kde-apps/kde-dev-scripts/kde-dev-scripts-21.08.3.ebuild
new file mode 100644
index 00000000000..cecac9391e5
--- /dev/null
+++ b/kde-apps/kde-dev-scripts/kde-dev-scripts-21.08.3.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_HANDBOOK="true"
+KFMIN=5.84.0
+inherit ecm kde.org
+
+DESCRIPTION="KDE Development Scripts"
+
+LICENSE="GPL-2" # TODO: CHECK
+SLOT="5"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE=""
+
+# kdelibs4support - required for kdex.dtd
+# kdoctools - to use ECM instead of kdelibs4
+DEPEND="
+ >=kde-frameworks/kdelibs4support-${KFMIN}:5
+ >=kde-frameworks/kdoctools-${KFMIN}:5
+"
+RDEPEND="
+ app-arch/advancecomp
+ media-gfx/optipng
+ dev-perl/XML-DOM
+"
+
+src_prepare() {
+ ecm_src_prepare
+
+ # bug 275069
+ sed -e 's:colorsvn::' -i CMakeLists.txt || die
+}